Source: libimage-exiftool-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Mari Wang <mariwan@ifi.uio.no>,
           gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: libarchive-zip-perl <!nocheck>,
                     libcompress-raw-lzma-perl <!nocheck>,
                     libio-compress-brotli-perl <!nocheck>,
                     libunicode-linebreak-perl <!nocheck>,
                     perl
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libimage-exiftool-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libimage-exiftool-perl.git
Homepage: https://exiftool.org/
Rules-Requires-Root: no

Package: libimage-exiftool-perl
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${perl:Depends}
Recommends: libarchive-zip-perl,
            libcompress-raw-lzma-perl,
            libio-compress-brotli-perl,
            libunicode-linebreak-perl
Suggests: libposix-strptime-perl
Provides: exiftool
Description: library and program to read and write meta information in multimedia files
 Image::ExifTool is a customizable set of Perl modules plus a full-featured
 command-line application called exiftool for reading and writing meta
 information in a wide variety of files, including the maker note information
 of many digital cameras by various manufacturers such as Canon, Casio, DJI,
 FLIR, FujiFilm, GE, HP, JVC/Victor, Kodak, Leaf, Minolta/Konica-Minolta,
 Nikon, Nintendo, Olympus/Epson, Panasonic/Leica, Pentax/Asahi, Phase One,
 Reconyx, Ricoh, Samsung, Sanyo, Sigma/Foveon and Sony.
 .
 The following modules/packages are recommended for specific features, e.g.
 decoding compressed and/or encrypted information from the indicated file
 types, calculating digest values for some information types, etc.:
 .
  * Archive::Zip / libarchive-zip-perl: ZIP, DOCX, PPTX, XLSX, ODP, ODS, ODT,
    EIP, iWork
  * Unicode::LineBreak / libunicode-linebreak-perl: for column-alignment of
    alternate language output
  * POSIX::strptime / libposix-strptime-perl: for inverse date/time conversion
  * Time::Piece (in perl core): alternative to POSIX::strptime
  * IO::Compress::RawDeflate + IO::Uncompress::RawInflate (in perl core): for
    reading FLIF images
  * Compress::Raw::Lzma / libcompress-raw-lzma-perl: for reading encoded
    7z files
  * IO::Compress::Brotli + IO::Uncompress::Brotli / libio-compress-brotli-perl:
    for writing/reading compressed JXL metadata
